
local hex_grid = require "api.hex_grid"



function on_command(player, command, params)
    if command == "claim" then
        hex_grid.claim_hex(player.surface.name, {q = params[1], r = params[2]})
    elseif command == "debug-items" then
        player.insert{
            name = "hex-coin",
            count = 12345,
        }
        player.insert{
            name = "gravity-coin",
            count = 12345,
        }
        player.insert{
            name = "meteor-coin",
            count = 12345,
        }
        player.insert{
            name = "hexaprism-coin",
            count = 12345,
        }
    end
end

function parse_command(command)
    -- Split command.parameter by spaces
    local params = {}
    if command.parameter then
        for arg in command.parameter:gmatch("%S+") do
            table.insert(params, arg)
        end
    end

    -- Fetch the player who called the command
    local player = game.get_player(command.player_index)

    -- Invoke the command function with the passed parameters
    on_command(player, command.name, params)
end



commands.add_command("claim", "Claim a hex", parse_command)
commands.add_command("debug-items", "Add items to your inventory for debugging", parse_command)
