
local sets = require "api.sets"



-- All vanilla tiles
local tile_names = {
    "acid-refined-concrete",
    "black-refined-concrete",
    "blue-refined-concrete",
    "brown-refined-concrete",
    "concrete",
    "cyan-refined-concrete",
    "deepwater",
    "deepwater-green",
    "dirt-1",
    "dirt-2",
    "dirt-3",
    "dirt-4",
    "dirt-5",
    "dirt-6",
    "dirt-7",
    "dry-dirt",
    "grass-1",
    "grass-2",
    "grass-3",
    "grass-4",
    "green-refined-concrete",
    "hazard-concrete-left",
    "hazard-concrete-right",
    "lab-dark-1",
    "lab-dark-2",
    "lab-white",
    "landfill",
    "nuclear-ground",
    "orange-refined-concrete",
    -- "out-of-map", -- no, just no
    "pink-refined-concrete",
    "purple-refined-concrete",
    "red-desert-0",
    "red-desert-1",
    "red-desert-2",
    "red-desert-3",
    "red-refined-concrete",
    "refined-concrete",
    "refined-hazard-concrete-left",
    "refined-hazard-concrete-right",
    "sand-1",
    "sand-2",
    "sand-3",
    "stone-path",
    "tile-unknown",
    "tutorial-grid",
    "water",
    "water-green",
    "water-mud",
    "water-shallow",
    "water-wube",
    "yellow-refined-concrete"
}

local non_land_tile_names = {
    "deepwater",
    "deepwater-green",
    -- "out-of-map",
    "water",
    "water-green",
    "water-mud",
    "water-shallow",
    "water-wube",
}

-- Create a table of all land tiles by set-subtracting non-land tiles from all tiles
local land_tile_names = sets.to_array(sets.difference(sets.new(tile_names), sets.new(non_land_tile_names)))
-- log(serpent.block(land_tile_names))



data:extend({
    {
        type = "double-setting",
        name = "hextorio-hex-size",
        setting_type = "startup",
        default_value = 37.5,
        minimum_value = 8,
        maximum_value = 60,
    },
    {
        type = "int-setting",
        name = "hextorio-hex-stroke-width",
        setting_type = "startup",
        default_value = 3,
        minimum_value = 2,
        maximum_value = 16,
    },
    {
        type = "string-setting",
        name = "hextorio-claimed-hex-tile",
        setting_type = "startup",
        default_value = "refined-concrete",
        allowed_values = land_tile_names,
    }
})
